WEBINARSandboxes for AI agents, Oct 7th.Sandboxes: give your AI agents a real machine. Live on October 7th.Register free

Google CDN

View as Markdown
  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions

Creates a new Google CDN action in the pipeline

Request

REQUIRED SCOPES
PIPELINE_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

BODY PARAMETERS
typerequiredstring
The type of the action

Value: GOOGLE_CDN_INVALIDATE

after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
purge_allboolean
If set to true, all cached content will be purged. When false, the action purges the objects listed in the request, or - if no list is given - the files from the changeset
purge_by_change_set_limitinteger
The maximum number of objects to purge one by one. Above this limit the whole cache is purged instead
local_pathstring
The path to the local files to invalidate
deployment_excludesstring[]
The list of files or directories to exclude from cache invalidation
deployment_includesstring[]
The list of files or directories to include in cache invalidation
pathsstring[]
The fixed list of paths to invalidate. The changeset is not computed when the list is set, so the pipeline needs no refs
input_typestring enum
The type of source input for invalidation (SCM or BUILD_ARTIFACTS). Required only when purging by changeset, that is when purge_all is false and no objects to purge are given
Allowed enum:
SCM_REPOSITORY,
BUILD_ARTIFACTS
integrationrequiredGoogleServiceAccountIntegrationRef
Google Service Account integration (GOOGLE_SERVICE_ACCOUNT)
distribution_idstring
The ID of the Google web distribution
url_mapstring
The name of the mapping rules
remote_pathstring
The absolute or relative path on the remote server

Response

RESPONSE BODY
typestring
The type of the action

Value: GOOGLE_CDN_INVALIDATE

urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
purge_allboolean
If set to true, all cached content will be purged. When false, the action purges the objects listed in the request, or - if no list is given - the files from the changeset
purge_by_change_set_limitinteger
The maximum number of objects to purge one by one. Above this limit the whole cache is purged instead
local_pathstring
The path to the local files to invalidate
deployment_excludesstring[]
The list of files or directories to exclude from cache invalidation
deployment_includesstring[]
The list of files or directories to include in cache invalidation
pathsstring[]
The fixed list of paths to invalidate. The changeset is not computed when the list is set, so the pipeline needs no refs
input_typestring enum
The type of source input for invalidation (SCM or BUILD_ARTIFACTS). Required only when purging by changeset, that is when purge_all is false and no objects to purge are given
Allowed enum:
SCM_REPOSITORY,
BUILD_ARTIFACTS
integrationIntegrationIdentifierView
The integration used by the action
distribution_idstring
The ID of the Google web distribution
url_mapstring
The name of the mapping rules
remote_pathstring
The absolute or relative path on the remote server

Last modified on Sep 28, 2026

Examples

Example: Google CDN (GOOGLE_CDN_INVALIDATE)

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Purge cache at hello-world / hello-world-cdn", "type": "GOOGLE_CDN_INVALIDATE", "trigger_time": "ON_EVERY_EXECUTION", "input_type": "SCM_REPOSITORY", "remote_path": "/merged", "distribution_id": "hello-world", "purge_all": false, "url_map": "hello-world-cdn", "integration": { "identifier": "gcp" }, "deployment_excludes": [ "/tmp/", "*.log" ], "deployment_includes": [ "/tmp/assets", "/tmp/styles" ] }'

Example: Google CDN - purge fixed paths

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Purge Google CDN paths", "type": "GOOGLE_CDN_INVALIDATE", "trigger_time": "ON_EVERY_EXECUTION", "distribution_id": "hello-world", "url_map": "hello-world-cdn", "purge_all": false, "paths": [ "/index.html", "/assets/app.css" ], "integration": { "identifier": "gcp" } }'
STATUS
200 OK